require 'weaver/core/logging'
require 'weaver/dsl/requires/type_handler'

module Weaver
  module Dsl
    module Requires
      # Author:: Florian Rosenberg
      class OsServiceTypeHandler < TypeHandler

        def initialize()
          super [ :os_service ]
        end

        def handle(parent, args)
          @@logger.debug "#{self.to_s} #{parent} #{args}"
        end

      end

    end
  end
end