class Hash
  def symbolize
    symbolize_private(self)
  end
  
  def symbolize!
    symbolize_private(self)
  end

  private

  def symbolize_private(obj)
    return obj.inject({}){|memo,(k,v)| memo[k.to_sym] = symbolize_private(v); memo} if obj.is_a? Hash
    return obj.inject([]){|memo,v| memo << symbolize_private(v); memo} if obj.is_a? Array
    return obj
  end

end