require 'weaver/core/logging'
require 'weaver/dsl/requires/type_handler'

module Weaver
  module Dsl
    module Requires
      # Author:: Florian Rosenberg
      class OsTypeHandler < TypeHandler

        def initialize()
          super [ :os, :operating_system ]
        end

        def handle(parent, args)
          @@logger.debug "#{self.to_s} #{parent} #{args}"
          return args
        end

      end
    end

  end
end