# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "weaver"
  s.version = "0.3.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Model-Driven Management Technologies Group, IBM Research"]
  s.date = "2012-06-15"
  s.description = "This gem provides the Weaver language and a set of command line tools to use it."
  s.email = ["rosenberg@us.ibm.com"]
  s.executables = ["weaver"]
  s.files = ["bin/weaver"]
  s.homepage = "https://w3-connections.ibm.com/communities/community/weaver"
  s.licenses = ["IBM"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.24"
  s.summary = "An implementation and CLI for the Weaver Language"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rest-client>, ["~> 1.6.7"])
      s.add_runtime_dependency(%q<thor>, ["~> 0.16.0"])
      s.add_runtime_dependency(%q<erubis>, ["~> 2.7.0"])
      s.add_runtime_dependency(%q<rubyzip>, ["~> 0.9.5"])
      s.add_runtime_dependency(%q<sourcify>, ["~> 0.6.0.rc4"])
      s.add_runtime_dependency(%q<json>, [">= 1.5.0"])
      s.add_runtime_dependency(%q<net-scp>, ["~> 1.0.4"])
      s.add_runtime_dependency(%q<net-ssh>, ["~> 2.2.2"])
      s.add_runtime_dependency(%q<zk>, [">= 1.7.3"])
      s.add_runtime_dependency(%q<devops_build>, [">= 0"])
      s.add_runtime_dependency(%q<devops_core>, [">= 0"])
      s.add_runtime_dependency(%q<devops_deployment_lib>, [">= 0"])
      s.add_runtime_dependency(%q<devops_library>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, ["< 1.2.2", ">= 1.2.0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.10.0"])
      s.add_development_dependency(%q<rake>, ["~> 10.0.3"])
      s.add_development_dependency(%q<webmock>, ["~> 1.8.7"])
      s.add_development_dependency(%q<rspec_junit_formatter>, ["~> 0.1.5"])
      s.add_development_dependency(%q<yard>, ["~> 0.8.6"])
      s.add_development_dependency(%q<kramdown>, ["~> 0.14.1"])
    else
      s.add_dependency(%q<rest-client>, ["~> 1.6.7"])
      s.add_dependency(%q<thor>, ["~> 0.16.0"])
      s.add_dependency(%q<erubis>, ["~> 2.7.0"])
      s.add_dependency(%q<rubyzip>, ["~> 0.9.5"])
      s.add_dependency(%q<sourcify>, ["~> 0.6.0.rc4"])
      s.add_dependency(%q<json>, [">= 1.5.0"])
      s.add_dependency(%q<net-scp>, ["~> 1.0.4"])
      s.add_dependency(%q<net-ssh>, ["~> 2.2.2"])
      s.add_dependency(%q<zk>, [">= 1.7.3"])
      s.add_dependency(%q<devops_build>, [">= 0"])
      s.add_dependency(%q<devops_core>, [">= 0"])
      s.add_dependency(%q<devops_deployment_lib>, [">= 0"])
      s.add_dependency(%q<devops_library>, [">= 0"])
      s.add_dependency(%q<cucumber>, ["< 1.2.2", ">= 1.2.0"])
      s.add_dependency(%q<rspec>, ["~> 2.10.0"])
      s.add_dependency(%q<rake>, ["~> 10.0.3"])
      s.add_dependency(%q<webmock>, ["~> 1.8.7"])
      s.add_dependency(%q<rspec_junit_formatter>, ["~> 0.1.5"])
      s.add_dependency(%q<yard>, ["~> 0.8.6"])
      s.add_dependency(%q<kramdown>, ["~> 0.14.1"])
    end
  else
    s.add_dependency(%q<rest-client>, ["~> 1.6.7"])
    s.add_dependency(%q<thor>, ["~> 0.16.0"])
    s.add_dependency(%q<erubis>, ["~> 2.7.0"])
    s.add_dependency(%q<rubyzip>, ["~> 0.9.5"])
    s.add_dependency(%q<sourcify>, ["~> 0.6.0.rc4"])
    s.add_dependency(%q<json>, [">= 1.5.0"])
    s.add_dependency(%q<net-scp>, ["~> 1.0.4"])
    s.add_dependency(%q<net-ssh>, ["~> 2.2.2"])
    s.add_dependency(%q<zk>, [">= 1.7.3"])
    s.add_dependency(%q<devops_build>, [">= 0"])
    s.add_dependency(%q<devops_core>, [">= 0"])
    s.add_dependency(%q<devops_deployment_lib>, [">= 0"])
    s.add_dependency(%q<devops_library>, [">= 0"])
    s.add_dependency(%q<cucumber>, ["< 1.2.2", ">= 1.2.0"])
    s.add_dependency(%q<rspec>, ["~> 2.10.0"])
    s.add_dependency(%q<rake>, ["~> 10.0.3"])
    s.add_dependency(%q<webmock>, ["~> 1.8.7"])
    s.add_dependency(%q<rspec_junit_formatter>, ["~> 0.1.5"])
    s.add_dependency(%q<yard>, ["~> 0.8.6"])
    s.add_dependency(%q<kramdown>, ["~> 0.14.1"])
  end
end
